package org.honours.actions;

import org.expeditee.actions.Navigation;
import org.expeditee.gui.DisplayIO;
import org.expeditee.gui.Frame;
import org.expeditee.gui.FrameIO;
import org.expeditee.gui.MessageBay;
import org.honours.agents.CollectionSpaceAgent;
import org.honours.collection.Collection;
import org.honours.CollectionSpace.CollectionSpace;

public class CollectionSpaceActions {

	public static void RotateNext()
	{
		CollectionNavigation.Next(DisplayIO.getCurrentFrame());
	}
	
	public static void RotateBack()
	{
		CollectionNavigation.Previous(DisplayIO.getCurrentFrame());
	}
	
	public static void GoToCollectionSpace(String name){
		try{
		String cs = "collectionspace-" + name;
		MessageBay.displayMessage("cs = " + cs);
		Navigation.Goto(cs + "1");
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public static void GenerateCollectionSpace(){
		GenerateCollectionSpace(DisplayIO.getCurrentFrame());
	}
	
	public static void GenerateCollectionSpace(String frameName){
		GenerateCollectionSpace(FrameIO.LoadFrame(frameName+1));
	}
	
	public static void GenerateCollectionSpace(Frame frame){
		CollectionSpaceAgent csa = new CollectionSpaceAgent();
		csa.process(frame);
	}
	
	public static void GoToCollectionSpace(){
		GoToCollectionSpace(DisplayIO.getCurrentFrame());
	}
	
	public static void GoToCollectionSpace(Frame frame){
		Collection collect = Collection.findCollection(frame);
		if(collect != null){
			CollectionSpace findCS = collect.getCollectionSpace();
			
			if(findCS != null){
				Navigation.Goto(findCS.getName() + "1");
			}else{
				GenerateCollectionSpace(frame);
				Navigation.Goto("collectionspace-" + collect.getName() + "1");
			}
		}
	}
	
	
}